FROM golang:1.9.2
RUN ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime
RUN echo 'Asia/Shanghai' > /etc/timezone

COPY agollo.json /go/bin/
COPY getregioninfo.yaml /go/bin/
COPY getregioninfo /go/bin/
COPY yamls /go/bin/yamls
RUN chmod +x /go/bin/getregioninfo
WORKDIR /go/bin

CMD ["/go/bin/getregioninfo"]
EXPOSE 8100
